- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
GSsl::LibraryImp Class Reference

A private pimple class used by GSsl::Library. More...

## Public Types
typedef Library::LogFn | LogFn

## Public Member Functions
| LibraryImp (const std::string &pem_file=std::string(), unsigned int flags=0U, LogFn log_fn=NULL)
| ~LibraryImp ()
Context & | ctx () const
std::string | pem () const
LogFn | logFn () const
unsigned int | flags () const

## Detailed Description

A private pimple class used by GSsl::Library.

Definition at line 103 of file gssl_openssl.cpp.

## Member Typedef Documentation

typedef Library::LogFn GSsl::LibraryImp::LogFn

Definition at line 106 of file gssl_openssl.cpp.

## Constructor & Destructor Documentation

GSsl::LibraryImp::LibraryImp | ( | const std::string & | pem_file = `std::string()`,
|  | unsigned int | flags = `0U`,
|  | LogFn | log_fn = `NULL`
| ) |  |
| explicit

Definition at line 180 of file gssl_openssl.cpp.

GSsl::LibraryImp::~LibraryImp | ( |  | ) |

Definition at line 199 of file gssl_openssl.cpp.

## Member Function Documentation

GSsl::Context & GSsl::LibraryImp::ctx | ( |  | ) | const

Definition at line 216 of file gssl_openssl.cpp.

unsigned int GSsl::LibraryImp::flags | ( |  | ) | const

Definition at line 206 of file gssl_openssl.cpp.

GSsl::Library::LogFn GSsl::LibraryImp::logFn | ( |  | ) | const

Definition at line 211 of file gssl_openssl.cpp.

std::string GSsl::LibraryImp::pem | ( |  | ) | const

Definition at line 221 of file gssl_openssl.cpp.

The documentation for this class was generated from the following file:

- gssl_openssl.cpp